/*
   Copyright (C) Andrew Tridgell 2002
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
  support for the 'news' command
 */

#include "includes.h"


/*
  summarise the news
 */
static int news_summary(int p, int how_many)
{
	pprintf(p, "News summaries not implement yet!\n");
	return COM_OK;
}


/*
  lookup a news item
 */
int com_news(int p, param_list param)
{
	char item[20];
	int num;

	if (param[0].type == TYPE_NULL) {
		return news_summary(p, 10);
	}
	if (strcasecmp(param[0].val.word, "all") == 0) {
		return news_summary(p, 0);
	}

	num = atoi(param[0].val.word);
	if (num <= 0) {
		pprintf(p, "Bad news item number '%s'\n", param[0].val.word);
		return COM_OK;
	}

	/* canonicalise the number ... */
	snprintf(item, sizeof(item), "%u", num);

	/* send the news */
	if (psend_file(p, NEWS_DIR, item) != 0) {
		pprintf(p, "News item '%s' not found\n", item);
		return COM_OK;
	}

	return COM_OK;
	
}
